Bug 1023518 - Calling subscription-manager orgs with a user who has . in their name fails
Calling subscription-manager orgs with a user who has . in their name fails
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: David Davis
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 11:29 EDT by David Davis
Modified: 2014-07-02 10:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-02 10:06:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Davis 2013-10-25 11:29:10 EDT
Description of problem:

Calling subscription-manager orgs with a user who has @ in their name fails. Here's an example of the command:

subscription-manager orgs --username "gkhachik@redhat.com" --password "asd\!" 

The response is "Resource not found on server"

Here's an example curl request which returns a 404:

curl http://127.0.0.1:3000/katello/api/users/admin@mail.com/owners -u "admin@mail.com:admin"

For more info you can visit https://bugzilla.redhat.com/show_bug.cgi?id=956650#c12. 


Steps to Reproduce:
1. Create a user with @ in their username
2. Call subscription-manager orgs on a client using that user you've created.


Actual results:

Resource not found.


Expected results:

List of orgs.
Comment 2 David Davis 2013-10-25 12:57:57 EDT
Sorry, it's actually the "." and not the "@" that is causing this bug.
Comment 3 David Davis 2013-10-25 13:14:24 EDT
https://github.com/Katello/katello/pull/3270
Comment 4 David Davis 2013-10-25 13:16:24 EDT
QE steps:

1. Create user with "." in their name such as "admin@email.com"
2. Run this on a client machine:

subscription-manager orgs --username "admin@email.com" --password "admin"
Comment 5 David Davis 2013-10-25 17:25:52 EDT
katello-cli

ae6c673b2bc9ce71a8416759837abb68577ab717

1023518: Loosening url contraints on owner list path to accept names with .
Comment 7 Corey Welton 2014-04-24 13:32:34 EDT
Verified in Satellite-6.0.3-RHEL-6-20140423.1
Comment 8 Bryan Kearney 2014-07-02 10:06:04 EDT
This was delivered with 6.0.3, which is the Satellite 6 Beta.

Note You need to log in before you can comment on or make changes to this bug.